class GroupPlaybackControls {
    constructor(animations) {
        this.animations = animations.filter(Boolean);
    }
    /**
     * TODO: Filter out cancelled or stopped animations before returning
     */
    get currentTime() {
        return this.animations[0].currentTime;
    }
    /**
     * currentTime assignment could reasonably run every frame, so
     * we iterate using a normal loop to avoid function creation.
     */
    set currentTime(time) {
        for (let i = 0; i < this.animations.length; i++) {
            this.animations[i].currentTime = time;
        }
    }
    stop() {
        this.animations.forEach((controls) => controls.stop());
    }
}

export { GroupPlaybackControls };
